#!/bin/bash

function create_dir_if_not_exists {
    DIR="$1"
    PERMISSIONS="$2"

    if [ ! -e "${DIR}" ]; then
        mkdir -p "${DIR}" || true
        chmod -R "${PERMISSIONS}" "${DIR}" || true
    fi
}

CFG_FILE="/etc/dump978-fr24/dump978-fr24.ini"

create_dir_if_not_exists "/etc/dump978-fr24" "a+rx"

if [ ! -s "$CFG_FILE" ]; then
    echo "index=-1" > "$CFG_FILE"
    echo "uat-port=10978" > "$CFG_FILE"
fi

chown -R fr24:fr24 /etc/dump978-fr24

